# bits/boost_sp_shared_count.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file bits/boost_sp_shared_count.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- class std::__shared_count< _Lp >
- class std::_Sp_counted_deleter< _Ptr, _Deleter, _Alloc, _Lp >
- class std::_Sp_counted_ptr< _Ptr, _Lp >
- class std::_Sp_counted_ptr_inplace< _Tp, _Alloc, _Lp >
- struct std::_Sp_destroy_inplace< _Tp >
- struct std::_Sp_make_shared_tag